BeanTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.jsf.BeanTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.jsf
Class BeanTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.jsf.BeanTagsHandler

public class BeanTagsHandler
extends XDocletTagSupport

Author:
  Markus Plattner
xdoclet.taghandler
  namespace="FacesBeans"
created
  3. Juni 2004

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`BeanTagsHandler()`

Method Summary
`String` | `getName()`
`String` | `getScope()`
`String` | `name()`
`String` | `scope()`
`void` | `setName(String name)`
`void` | `setScope(String scope)`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanTagsHandler

    public BeanTagsHandler()

Method Detail

### getName

    public String getName()

  Returns:

### getScope

    public String getScope()

### setName

    public void setName(String name)

### setScope

    public void setScope(String scope)

### name

    public String name()

  Returns:
  doc.tag
    type="content"

### scope

    public String scope()

  Returns:
  doc.tag
    type="content"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD